-- Original version: Simon Thompson

module MakeCode ( codes, codeTable )
       where

import HTypes  ( HTree ( Leaf, Node ), Bit ( L, R ), HCode, HTable )
import Frequency ( frequency )
import MakeTree ( makeTree )
import CodeTable ( codeTable )

-- Frequency calculation and tree Conversion

codes :: [Char] -> HTree
codes = makeTree . frequency

